package cn.com.ty.demo;

import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * @Author xwy
 * @create 2019/11/4
 */
@Slf4j
@EnableFeignClients
@MapperScan("cn.com.ty.**.dao.mapper")
@SpringBootApplication(scanBasePackages = {"cn.com.ty.demo", "cn.com.xwy.boot"})
public class DemoApplication {

    public static void main(String[] args) {
        log.debug("DemoApplication startup main");
        SpringApplication application = new SpringApplication(DemoApplication.class);
        application.run(args);
    }
}
